package config

import (
	"encoding/xml"
	"fmt"
	"io/ioutil"
)

type MongodbConfig struct {
	// Flag string `xml:"flag,attr"` // 读取flag属性
	MongodbConnectionStr string `xml:"mongodbConnectionStr"` // 读取user数组
}
type ServerConfig struct {
	Port     string        `xml:"port"`
	DbConfig MongodbConfig `xml:"dbConfig"`
}

var SystemConfig ServerConfig

func InitConfig() {
	fmt.Printf("---")

	configByte, err := ioutil.ReadFile("./serverConfig.xml") //todo 路径需要改

	if err != nil {
		fmt.Printf(err.Error()) //todo 等待日志异常接入
	}

	err = xml.Unmarshal(configByte, &SystemConfig)
	if err != nil {
		fmt.Println(err.Error())
	} else {
		fmt.Println(SystemConfig)
	}
}
