package router

import (
	"gaoqiaoCJY/src/biz"
	"log"
	"os"
	"path/filepath"
	"strings"

	"github.com/gin-gonic/gin"
)

func AddRouter(r *gin.Engine) {
	r.GET("/api1", biz.Api1Handler)
	r.POST("/api1", biz.Api1Handler)
}

func AddStaticFileServer(r *gin.Engine, staticPath string) {
	err := filepath.Walk("./"+staticPath,
		func(path string, info os.FileInfo, err error) error {
			if err != nil {
				return err
			}
			if !info.IsDir() {
				routerPath := strings.Replace(path, staticPath, "", 1)
				routerPath = strings.ReplaceAll(routerPath, "\\", "/")
				r.StaticFile(routerPath, "./"+path)
			}
			return nil
		})
	r.StaticFile("/", "./"+staticPath+"/index.html")
	if err != nil {
		log.Println(err)
	}
}
