package server

import (
	"gaoqiaoCJY/src/config"
	"gaoqiaoCJY/src/console"
	"gaoqiaoCJY/src/router"

	"github.com/gin-gonic/gin"
)

func CreateHttpServer() *gin.Engine {
	gin.SetMode(gin.ReleaseMode)
	r := gin.Default()

	//api路由
	router.AddRouter(r)
	//静态文件服务器
	router.AddStaticFileServer(r, "public")

	addr := config.SystemConfig.Port

	console.Log("服务器监听地址", addr, "静态文件目录 ./public")
	err := r.Run(addr)
	if err != nil {
		panic(err.Error())
	}
	return r
}
